Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CORBA_ExceptionList Class Reference

`#include <ExceptionList.h>`

Collaboration diagram for CORBA_ExceptionList:

[legend]
List of all members.

## Public Types
typedef CORBA::ExceptionList_ptr | _ptr_type
typedef CORBA::ExceptionList_var | _var_type
## Public Methods
| CORBA_ExceptionList (void)
| CORBA_ExceptionList (CORBA::ULong len, CORBA::TypeCode_ptr *tc_list)
| ~CORBA_ExceptionList (void)
CORBA::ULong | count (void)
CORBA_ExceptionList_ptr | _duplicate (void)
void | _destroy (void)
void | add (CORBA::TypeCode_ptr tc)
void | add_consume (CORBA::TypeCode_ptr tc)
CORBA::TypeCode_ptr | item (CORBA::ULong slot ACE_ENV_ARG_DECL_WITH_DEFAULTS)
void | remove (CORBA::ULong slot ACE_ENV_ARG_DECL_WITH_DEFAULTS)
void | _incr_refcnt (void)
void | _decr_refcnt (void)
## Static Public Methods
CORBA_ExceptionList_ptr | _duplicate (CORBA_ExceptionList *)
CORBA_ExceptionList_ptr | _nil (void)
## Private Methods
| CORBA_ExceptionList (const CORBA_ExceptionList &)
CORBA_ExceptionList & | operator= (const CORBA_ExceptionList &)
## Private Attributes
ACE_Atomic_Op< TAO_SYNCH_MUTEX, CORBA::ULong > | ref_count_
ACE_Unbounded_Queue< CORBA::TypeCode_ptr > | tc_list_

## Member Typedef Documentation

typedef CORBA::ExceptionList_ptr CORBA_ExceptionList::_ptr_type

typedef CORBA::ExceptionList_var CORBA_ExceptionList::_var_type

## Constructor & Destructor Documentation

ACE_INLINE CORBA_ExceptionList::CORBA_ExceptionList | ( | void |  | ) |

CORBA_ExceptionList::CORBA_ExceptionList | ( | CORBA::ULong | len,
|  | CORBA::TypeCode_ptr * | tc_list
| ) |

CORBA_ExceptionList::~CORBA_ExceptionList | ( | void |  | ) |

CORBA_ExceptionList::CORBA_ExceptionList | ( | const CORBA_ExceptionList & |  | ) | `[private]`

## Member Function Documentation

void CORBA_ExceptionList::_decr_refcnt | ( | void |  | ) |

void CORBA_ExceptionList::_destroy | ( | void |  | ) |

ACE_INLINE CORBA_ExceptionList * CORBA_ExceptionList::_duplicate | ( | CORBA_ExceptionList * | x | ) | `[static]`

CORBA_ExceptionList_ptr CORBA_ExceptionList::_duplicate | ( | void |  | ) |

void CORBA_ExceptionList::_incr_refcnt | ( | void |  | ) |

ACE_INLINE CORBA_ExceptionList_ptr CORBA_ExceptionList::_nil | ( | void |  | ) | `[static]`

void CORBA_ExceptionList::add | ( | CORBA::TypeCode_ptr | tc | ) |

void CORBA_ExceptionList::add_consume | ( | CORBA::TypeCode_ptr | tc | ) |

ACE_INLINE CORBA::ULong CORBA_ExceptionList::count | ( | void |  | ) |

CORBA::TypeCode_ptr CORBA_ExceptionList::item | ( | CORBA::ULong slot | ACE_ENV_ARG_DECL | ) |

CORBA_ExceptionList& CORBA_ExceptionList::operator= | ( | const CORBA_ExceptionList & |  | ) | `[private]`

void CORBA_ExceptionList::remove | ( | CORBA::ULong | ACE_ENV_ARG_DECL | ) |

## Member Data Documentation

ACE_Atomic_Op<TAO_SYNCH_MUTEX, CORBA::ULong> CORBA_ExceptionList::ref_count_`[private]`

ACE_Unbounded_Queue<CORBA::TypeCode_ptr> CORBA_ExceptionList::tc_list_`[private]`

The documentation for this class was generated from the following files:

- ExceptionList.h
- ExceptionList.cpp
- ExceptionList.inl